Your submission was sent successfully! Close

CVE-2019-13611

Published: 16 July 2019

An issue was discovered in python-engineio through 3.8.2. There is a Cross-Site WebSocket Hijacking (CSWSH) vulnerability that allows attackers to make WebSocket connections to a server by using a victim's credentials, because the Origin header is not restricted.

Priority

Low

CVSS 3 base score: 8.8

Status

Package Release Status
python-engineio
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Not vulnerable
(3.11.1-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(3.11.1-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(3.11.1-1)
Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist